<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("ciudad_idciudad"=>$_POST["ciudad_idciudad"],"tipo_identificacion_idtipo_identificacion"=>$_POST["tipo_identificacion_idtipo_identificacion"],"identificacion"=>$_POST["identificacion"],"razon_social"=>$_POST["razon_social"],"direccion"=>$_POST["direccion"],"tel"=>$_POST["tel"],"contacto"=>$_POST["contacto"],"telcon"=>$_POST["telcon"],"celcon"=>$_POST["celcon"],"emailcon"=>$_POST["emailcon"],);
  
  
  
   
    $in = $db->insert("proveedores",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("proveedores","idproveedores",$_GET["id"]);
    break;
  case "up":
   $data = array("ciudad_idciudad"=>$_POST["ciudad_idciudad"],"tipo_identificacion_idtipo_identificacion"=>$_POST["tipo_identificacion_idtipo_identificacion"],"identificacion"=>$_POST["identificacion"],"razon_social"=>$_POST["razon_social"],"direccion"=>$_POST["direccion"],"tel"=>$_POST["tel"],"contacto"=>$_POST["contacto"],"telcon"=>$_POST["telcon"],"celcon"=>$_POST["celcon"],"emailcon"=>$_POST["emailcon"],);
   
   
   

    
    $up = $db->update("proveedores",$data,"idproveedores",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>